RDKit: RDKit::VarianceDataForLabel Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::VarianceDataForLabel Struct Reference

`#include <RGroupFingerprintScore.h>`

## Public Member Functions
| VarianceDataForLabel (const int &label, int numberFingerprints, std::vector< int > bitCounts)
| VarianceDataForLabel (const int &label)
| VarianceDataForLabel (const VarianceDataForLabel &other)=default
VarianceDataForLabel & | operator= (const VarianceDataForLabel &other)=delete
void | addRgroupData (RGroupData *rgroupData)
void | removeRgroupData (RGroupData *rgroupData)
double | variance () const

## Public Attributes
const int | label
int | numberFingerprints
std::vector< int > | bitCounts

## Detailed Description

Definition at line 20 of file RGroupFingerprintScore.h.

## Constructor & Destructor Documentation

## ◆ VarianceDataForLabel() [1/3]

RDKit::VarianceDataForLabel::VarianceDataForLabel | ( | const int & | label,
|  | int | numberFingerprints,
|  | std::vector< int > | bitCounts )

References bitCounts, label, and numberFingerprints.

Referenced by operator=(), and VarianceDataForLabel().

## ◆ VarianceDataForLabel() [2/3]

RDKit::VarianceDataForLabel::VarianceDataForLabel | ( | const int & | label | ) |

References label.

## ◆ VarianceDataForLabel() [3/3]

RDKit::VarianceDataForLabel::VarianceDataForLabel | ( | const VarianceDataForLabel & | other | ) |
| default

References VarianceDataForLabel().

## Member Function Documentation

## ◆ addRgroupData()

void RDKit::VarianceDataForLabel::addRgroupData | ( | RGroupData * | rgroupData | ) |

## ◆ operator=()

VarianceDataForLabel & RDKit::VarianceDataForLabel::operator= | ( | const VarianceDataForLabel & | other | ) |
| delete

References VarianceDataForLabel().

## ◆ removeRgroupData()

void RDKit::VarianceDataForLabel::removeRgroupData | ( | RGroupData * | rgroupData | ) |

## ◆ variance()

double RDKit::VarianceDataForLabel::variance | ( |  | ) | const

## Member Data Documentation

## ◆ bitCounts

std::vector<int> RDKit::VarianceDataForLabel::bitCounts

Definition at line 27 of file RGroupFingerprintScore.h.

Referenced by VarianceDataForLabel().

## ◆ label

const int RDKit::VarianceDataForLabel::label

Definition at line 22 of file RGroupFingerprintScore.h.

Referenced by VarianceDataForLabel(), and VarianceDataForLabel().

## ◆ numberFingerprints

int RDKit::VarianceDataForLabel::numberFingerprints

Definition at line 24 of file RGroupFingerprintScore.h.

Referenced by VarianceDataForLabel().

The documentation for this struct was generated from the following file:

- RGroupFingerprintScore.h